# World-Weather

World Weather is a plugin for ExpressionEngine that allows you to displays weather conditions from around the world on your site. The plugin fetches weather information generated by a nationwide network of weather reporting station that are usually located at airports. These stations generally report weather conditions every three to six hours and the information that is reported (or not reported) can vary from station to station.

Every station has a four character station location indicator code (ICAO) that is required in order to fetch weather conditions for that particular location. You can find a list of ICAO codes at the [following URL](http://weather.gov/tg/siteloc.shtml).

**NOTE:** The weather data that is returned by a station depends on the observation software located at that particular station. Weather conditions that are not reported will appear as "N/A" by default in the template (Global Conditionals Tags are supported). For best results, find a station that's closest to you and that reports the most conditions.

## Usage

### `{exp:world_weather:current}`

#### Example Usage

```
{exp:world_weather:current station="LFPG" cache_refresh="300"}
	<h1>Weather in Paris, France</h1>
	Temperature: {temperature_f}&deg;F ({temperature_c}&deg;C)<br />
	Feels Like: {feels_like_f}&deg;F ({feels_like_c}&deg;C)<br />
	Heat Index: {heat_index_f}&deg;F ({heat_index_c}&deg;C)<br />
	Dew Point: {dew_point_f}&deg;F ({dew_point_c}&deg;C)<br />
	Humidity: {humidity}%<br />
	Barometer: {barometer_in} in. Hg ({barometer_hpa} hPa)<br />
	Sky Conditions: {sky_condition}<br />
	Conditions: {condition}<br />
	Wind: from the {wind_direction} at {wind_speed_mph} mph<br>
	Visibility: {visibility_mi} mi ({visibility_km} km)<br>
	Last Updated: {last_update format="%m/%d/%Y %g:%i %a"}<br>
{/exp:world_weather:current}
```

#### Parameters

- `station=` - [REQUIRED] - The four character station location indicator. You can find a list of station codes at the [following URL](http://weather.gov/tg/siteloc.shtml).
- `cache_refresh=` - The number of minutes between cache refreshes. The default is 180 minutes (three hours).

#### Variables

- `{wind_direction}`
- `{wind_degrees}`
- `{wind_speed_mph}`
- `{wind_speed_kmh}`
- `{wind_speed_kt}`
- `{wind_gust_mph}`
- `{wind_gust_kmh}`
- `{wind_gust_kt}`
- `{temperature_f}`
- `{temperature_c}`
- `{feels_like_f}`
- `{feels_like_c}`
- `{dew_point_f}`
- `{dew_point_c}`
- `{humidity}`
- `{heat_index_f}`
- `{heat_index_c}`
- `{barometer_in}`
- `{barometer_hpa}`
- `{sky_condition}`
- `{visibility_mi}`
- `{visibility_km}`
- `{condition}`
- `{last_update}`

## Change Log

### 3.0.3

- Updated license information
- Added add-on icon

### 3.0.1

- Updated for new NOAA file location.

### 3.0

- Updated plugin to be 3.0 compatible

### 2.0.1

- added `{gmt_last_update}` date variable and altered `{last_update}` to show localized time

### 2.0

- Updated plugin to be 2.0 compatible
